
Prelude Correlator - Bug #297

LUA errors

07/09/2008 09:13 AM - Pierre Chifflier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

The default rules cause a few LUA errors:

08 Jul 20:33:08 (process:32066) ERROR: LUA error on 'brute_force': /etc/prelude-correlator/lua-rul

es/brute-force.lua:68: attempt to call method 'Set' (a nil value). (lua.c:148 lua_run)

and

09 Jul 08:05:02 (process:32066) ERROR: LUA error on 'business_hour': /etc/prelude-correlator/lua-r

ules/business-hour.lua:31: Set(): require 3 arguments, got 2. (lua.c:148 lua_run)

Associated revisions

Revision 079b4d9c - 07/11/2008 01:36 PM - Yoann VANDOORSELAERE

Fix ctx:set() typo, this fixes one of the problem referenced

by ticket #297. refs #297.

History

#1 - 07/11/2008 01:40 PM - Yoann VANDOORSELAERE

(In r10647) Fix ctx:set() typo, this fixes one of the problem referenced

by ticket #297. refs #297.

#2 - 07/11/2008 02:32 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

(In r10648) Allow to set 'nil' IDMEF value. This fixes the second issue

referenced by #297. (fix #297).

#3 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prelude Correlator

- Category deleted (11)
